class DDLParser::Translator::AlterTable

    attr_accessor :parse_tree
    def initialize(parse_tree)
      @parse_tree=parse_tree
    end

    def elements
      [@parse_tree[:elements]].flatten
    end

    def table_name
      @parse_tree[:table_name]
    end

    def add_columns
      elements.map{|e|e[:add]}.compact.map{|e|e[:column]}.compact.map{|e|DDLParser::Translator::Column.new(e)}
    end

end