module DDLParser
  module SharedRules
    module LogicalOperators
      include Parslet

      # logical operators
      rule(:eq)         { str('=') }
      rule(:neq)        { str('!=') | str('<>') }
      rule(:gt)         { str('>') }
      rule(:lt)         { str('<') }
      rule(:geq)        { str('>=') }
      rule(:leq)        { str('<=') }
      rule(:like)       { str('like') }
      rule(:binop)      { eq | neq | gt | lt | geq | leq | like}
    end
  end
end
