class DDLParser::Translator::CreateIndexColumn

  attr_accessor :parse_tree


  def initialize(index_column_hash)
    @index_column_hash = index_column_hash.is_a?(Hash) ? index_column_hash : {}
  end

  def to_hash
    @index_column_hash
  end

  def index_column
    @index_column_hash[:index_column]
  end

  def sequence_no
    @index_column_hash[:sequence_no]
  end

  def sort_type
    @index_column_hash[:sort_type].to_s
  end

end